.youchao-block--codec {
    --design-w: 500;
    --design-h: 640;
}

.youchao-block--codec .block-label {
    position: absolute;
    left: calc(30px * var(--scale-ratio));
    top: calc(25px * var(--scale-ratio));
    font-size: calc(24px * var(--type-scale, var(--scale-ratio)));
    font-weight: 600;
    line-height: calc(36 / 24);
    color: var(--text-primary);
}

.youchao-block--codec .block-title {
    position: absolute;
    left: calc(30px * var(--scale-ratio));
    font-size: calc(32px * var(--type-scale, var(--scale-ratio)));
    font-weight: 600;
    line-height: calc(48 / 32);
}

.youchao-block--codec .block-label + .block-title {
    top: calc(78px * var(--scale-ratio));
    width: calc(256px * var(--scale-ratio));
}

.youchao-block--codec .block-title + .block-title {
    top: calc(117px * var(--scale-ratio));
    width: calc(224px * var(--scale-ratio));
}
